local basic = require("lib.basic")
local hash = require("lib.hash")

local systemConfig = basic.readFileAll("/brulijam/config/systemConfig.txt")
systemConfig = textutils.serialize(systemConfig)

if os.getComputerLabel() == nil then
  local labelMainPart = string.sub(hash.digestStr(string.format(os.getComputerID())), 1, 6)
  print(labelMainPart)
  print(systemConfig["labelPrefix"])
  sleep(5)
  os.setComputerLabel(systemConfig["labelPrefix"] .. "-" .. labelMainPart)
end